From: Sophie Brun <sophie@offensive-security.com>
Date: Mon, 10 Feb 2025 15:14:50 +0100
Subject: Remove obsolete cgi

cgi has been removed from python3.13
---
 libtaxii/__init__.py | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

diff --git a/libtaxii/__init__.py b/libtaxii/__init__.py
index 6d4268d..ded5cfb 100644
--- a/libtaxii/__init__.py
+++ b/libtaxii/__init__.py
@@ -13,10 +13,14 @@ import libtaxii.messages_11 as tm11
 import libtaxii.clients as tc
 from .constants import *
 
-import cgi
+import email.message
 
 from .version import __version__  # noqa
 
+def _parse_header(content_type):
+    msg = email.message.EmailMessage()
+    msg['content-type'] = content_type
+    return msg.get_content_type(), msg['content-type'].params
 
 def get_message_from_http_response(http_response, in_response_to):
     """Create a TAXII message from an HTTPResponse object.
@@ -55,10 +59,10 @@ def get_message_from_urllib2_httperror(http_response, in_response_to):
 
     if hasattr(info, 'getheader'):
         taxii_content_type = info.getheader('X-TAXII-Content-Type')
-        _, params = cgi.parse_header(info.getheader('Content-Type'))
+        _, params = _parse_header(info.getheader('Content-Type'))
     else:
         taxii_content_type = info.get('X-TAXII-Content-Type')
-        _, params = cgi.parse_header(info.get('Content-Type'))
+        _, params = _parse_header(info.get('Content-Type'))
 
     encoding = params.get('charset', 'utf-8')
     response_message = six.ensure_text(http_response.read(), errors='replace')
@@ -82,10 +86,10 @@ def get_message_from_urllib_addinfourl(http_response, in_response_to):
 
     if hasattr(info, 'getheader'):
         taxii_content_type = info.getheader('X-TAXII-Content-Type')
-        _, params = cgi.parse_header(info.getheader('Content-Type'))
+        _, params = _parse_header(info.getheader('Content-Type'))
     else:
         taxii_content_type = info.get('X-TAXII-Content-Type')
-        _, params = cgi.parse_header(info.get('Content-Type'))
+        _, params = _parse_header(info.get('Content-Type'))
 
     encoding = params.get('charset', 'utf-8')
     response_message = six.ensure_text(http_response.read(), errors='replace')
@@ -117,10 +121,10 @@ def get_message_from_httplib_http_response(http_response, in_response_to):
     """ This function should not be called by libtaxii users directly. """
     if hasattr(http_response, 'getheader'):
         taxii_content_type = http_response.getheader('X-TAXII-Content-Type')
-        _, params = cgi.parse_header(http_response.getheader('Content-Type'))
+        _, params = _parse_header(http_response.getheader('Content-Type'))
     else:
         taxii_content_type = http_response.get('X-TAXII-Content-Type')
-        _, params = cgi.parse_header(http_response.get('Content-Type'))
+        _, params = _parse_header(http_response.get('Content-Type'))
 
     encoding = params.get('charset', 'utf-8')
     response_message = six.ensure_text(http_response.read(), errors='replace')
